# (c) 2002 Nuxeo SARL <http://nuxeo.com>
# (c) 2002 Florent Guillaume <mailto:fg@nuxeo.com>
# (c) 2002 Julien Jalon <mailto:jj@nuxeo.com>
# (c) 2002 Prfecture du Bas-Rhin, France
# (c) 2002 CIRB, Belgique
#
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: CPSFrame.py,v 1.10 2002/09/23 13:56:10 jalon Exp $

"""
  CPSFrame
"""


import string

#
# Prambule CMF
#

from Globals import InitializeClass
from AccessControl import ClassSecurityInfo

from Products.CMFCore.CMFCorePermissions import View, ModifyPortalContent

#
# Prambule CPS
#

from Products.NuxCPSDocuments.BaseDocument import BaseDocument, BaseDocument_adder


#
#  La  Factory
#

factory_type_information = (
    {'id': 'CPSFrame',
     'description': 'A CPSFrame object  is editable through the web.',
     'title': 'CPSFrame',
     'content_icon': '',
     'product': 'CPSFrame',
     'factory': 'addCPSFrame',
     'meta_type': 'CPSFrame',
     'immediate_view': 'CPSFrame_edit_form',
     'allow_discussion': 1,
     'filter_content_types': 0,
     'actions': ({'id': 'view',
                  'name': '_action_view_',
                  'action': 'CPSFrame_view',
                  'permissions': (View,)},
                 {'id': 'edit',
                  'name': '_action_modify_',
                  'action': 'CPSFrame_edit_form',
                  'permissions': (ModifyPortalContent,)},
                 {'id': 'create',
                  'name': '_action_create_',
                  'action': 'CPSFrame_create_form',
                  'visible': 0,
                  'permissions': ()},
                 {'id': 'isdocument',
                  'name': 'isdocument',
                  'action': 'isdocument',
                  'visible': 0,
                  'permissions': ()},
                 {'id': 'issearchabledocument',
                  'name': 'issearchabledocument',
                  'action': 'issearchabledocument',
                  'visible': 0,
                  'permissions': ()},
                 ),
     },
    )


#
# Classe Principale
#


class CPSFrame(BaseDocument):
    """
    CPSFrame 
    """
    meta_type = 'CPSFrame'

    security = ClassSecurityInfo()

    _properties = BaseDocument._properties + (
        {'id':'url', 'type':'string', 'mode':'w', 'label':'Url'},
	{'id':'largeur', 'type':'string', 'mode':'w', 'label':'Largeur'},
	{'id':'hauteur', 'type':'string', 'mode':'w', 'label':'Hauteur'},
        )
    url = ''
    largeur = ''
    hauteur = ''


    #
    # Content accessors
    #


    security.declareProtected(View, 'SearchableText')
    def SearchableText(self):
        """
        Used by the catalog for basic full text indexing.
        """
        return '%s %s %s %s' % (self.title,
                                self.description,
                                self.related_links,
                                self.text)

    # def PUT
    # def manage_FTPget
    # def get_size ?


InitializeClass(CPSFrame)


def addCPSFrame(dispatcher, id, REQUEST=None, **kw):
    """Add a CPSFrame."""
    ob = CPSFrame(id, **kw)
    
    return BaseDocument_adder(dispatcher, id, ob, REQUEST=REQUEST)

